View Issue Details

IDProjectCategoryView StatusLast Update
0009753ScribusGeneralpublic2014-10-08 23:03
Reporterondrej.nemecek Assigned Tocbradney  
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
PlatformAMD Athlon(tm) 64 X2 Dual CoreOSLinuxOS VersionUbuntu 10.10
Product Version1.5.0svn 
Target VersionFixed in Version1.5.0svn 
Summary0009753: Segmentation fault
DescriptionScribus did'n start because SIGSEGV.
Steps To ReproduceRun Scribus 1.5.0.svn.
TagsNo tags attached.
Patch

Relationships

related to 0004423 closedcbradney Metabug: Ubuntu/Kubuntu issues that prevent it from being the perfect platform for Scribus 

Activities

ondrej.nemecek

2011-02-17 19:17

reporter   ~0025616

Compiled with

cmake . -DCMAKE_INSTALL_PREFIX:PATH=/opt/Scribus-1.5.0.svn -DWANT_VERSIONING=1 -DWANT_QTARTHUR=0 -DWANT_CAIRO=1 -DWANT_DEBUG=0 -DWANT_SCRIPTER2=1 -DWANT_NOHEADERINSTALL=1

cbradney

2011-02-17 19:23

administrator   ~0025617

Please provide a gdb backtrace, as we dont get this crash

ondrej.nemecek

2011-02-18 14:37

reporter  

gdb-backtrace.txt (4,065 bytes)
ondrej@Desktop:/opt/Scribus-1.5.0.svn$ gdb ./bin/scribus-1.5.0.svn 
GNU gdb (GDB) 7.2-ubuntu
Copyright (C) 2010 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i686-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /opt/Scribus-1.5.0.svn/bin/scribus-1.5.0.svn...(no debugging symbols found)...done.
(gdb) run
Starting program: /opt/Scribus-1.5.0.svn/bin/scribus-1.5.0.svn 
[Thread debugging using libthread_db enabled]
[New Thread 0xb7b58b70 (LWP 15588)]

(<unknown>:15568): atk-bridge-WARNING **: AT_SPI_REGISTRY was not started at session startup.

(<unknown>:15568): atk-bridge-WARNING **: IOR not set.

(<unknown>:15568): atk-bridge-WARNING **: Could not locate registry

Program received signal SIGSEGV, Segmentation fault.
0x08c80a8f in _cairo_array_allocate ()
(gdb) backtrace 
#0  0x08c80a8f in _cairo_array_allocate ()
#1  0x08c80ad3 in _cairo_array_append_multiple ()
#2  0x08c80b30 in _cairo_array_append ()
#3  0x08c80b85 in _cairo_user_data_array_set_data ()
#4  0x05914d6a in ?? () from /usr/lib/libgdk-x11-2.0.so.0
#5  0x058dcc41 in ?? () from /usr/lib/libgdk-x11-2.0.so.0
#6  0x058eb7a0 in ?? () from /usr/lib/libgdk-x11-2.0.so.0
#7  0x058dcc41 in ?? () from /usr/lib/libgdk-x11-2.0.so.0
#8  0x058d9c70 in gdk_cairo_create () from /usr/lib/libgdk-x11-2.0.so.0
#9  0x05d771f8 in ?? () from /usr/lib/gtk-2.0/2.10.0/engines/libmurrine.so
#10 0x05d7ba61 in ?? () from /usr/lib/gtk-2.0/2.10.0/engines/libmurrine.so
#11 0x056ac3fe in gtk_paint_box () from /usr/lib/libgtk-x11-2.0.so.0
#12 0x05665fde in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#13 0x057c0e87 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#14 0x057c1081 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#15 0x033dff2c in g_cclosure_marshal_VOID__VOID () from /usr/lib/libgobject-2.0.so.0
#16 0x033cea87 in ?? () from /usr/lib/libgobject-2.0.so.0
#17 0x033d0412 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#18 0x033e642a in ?? () from /usr/lib/libgobject-2.0.so.0
#19 0x033e7fac in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#20 0x033e8452 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#21 0x0575eafb in gtk_widget_realize () from /usr/lib/libgtk-x11-2.0.so.0
#22 0x0575f790 in gtk_widget_set_parent () from /usr/lib/libgtk-x11-2.0.so.0
#23 0x055db8e1 in gtk_fixed_put () from /usr/lib/libgtk-x11-2.0.so.0
#24 0x055db928 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#25 0x033df438 in g_cclosure_marshal_VOID__OBJECT () from /usr/lib/libgobject-2.0.so.0
#26 0x033cea87 in ?? () from /usr/lib/libgobject-2.0.so.0
#27 0x033d0412 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#28 0x033e642a in ?? () from /usr/lib/libgobject-2.0.so.0
#29 0x033e7fac in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#30 0x033e8452 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#31 0x05598336 in gtk_container_add () from /usr/lib/libgtk-x11-2.0.so.0
#32 0x019add69 in ?? () from /usr/lib/libQtGui.so.4
#33 0x019ae9d6 in ?? () from /usr/lib/libQtGui.so.4
#34 0x019b3e55 in ?? () from /usr/lib/libQtGui.so.4
#35 0x019adbea in ?? () from /usr/lib/libQtGui.so.4
#36 0x01993fe5 in QGtkStyle::QGtkStyle() () from /usr/lib/libQtGui.so.4
#37 0x0190857a in QStyleFactory::create(QString const&) () from /usr/lib/libQtGui.so.4
#38 0x015c02c0 in QApplication::style() () from /usr/lib/libQtGui.so.4
#39 0x015c9b5d in QApplicationPrivate::initialize() () from /usr/lib/libQtGui.so.4
#40 0x015c9c80 in QApplicationPrivate::construct(_XDisplay*, unsigned long, unsigned long) () from /usr/lib/libQtGui.so.4
#41 0x015cacc3 in QApplication::QApplication(int&, char**, int) () from /usr/lib/libQtGui.so.4
#42 0x0869c9e1 in ScribusQApp::ScribusQApp(int&, char**) ()
#43 0x08c4d24c in mainApp(int, char**) ()
#44 0x08c4d2e7 in main ()
(gdb) 
gdb-backtrace.txt (4,065 bytes)

ondrej.nemecek

2011-02-18 14:38

reporter   ~0025622

Gdb backtrace attached as file. Hope it helps.

plinnell

2011-02-18 15:21

viewer   ~0025624

Seems like the cairo version from Ubuntu is not playing well with Scribus. Needs further investigation.

fschmid

2011-02-18 18:49

administrator   ~0025625

Please set an other Styles as QGtkStyle as default style with qtconfig.

ondrej.nemecek

2011-02-18 19:29

reporter   ~0025626

When I set gui style to GTK+, Scribus SIGSEGV. All other styles are working without problems.

owencook

2011-03-27 23:01

reporter   ~0025957

I would like to add that I get the same segmentation fault with ubuntu-11.04, but not on Fedora 14.

Will look into this some more

owencook

2011-03-28 02:25

reporter   ~0025961

using qtconfig-qt4, I change the Appearance to "Cleanlooks" Problem solved. I don't think this is an Ubuntu issue

ondrej.nemecek

2011-03-28 21:23

reporter   ~0025969

Owencook, thanks for comments. Hope it helps developers to fix this issue.

cbradney

2011-03-28 22:15

administrator   ~0025971

I dont think this is anything we can fix. Either it is a Qt issue, a cairo issue or Gtk.. or a mix of the three - plus, it works fine on my stock Ubuntu 10.10 VM.. sooo.. we need more info from you to help us decide where this is - or we will have to close this as unable to reproduce.

What version of cairo are you using (even for the system/gtk)?

ondrej.nemecek

2011-04-07 15:38

reporter   ~0026018

This is important issue, because it makes Scribus unasable under some circumstances... I attached list of packages related to qt, gtk, cairo.

ondrej.nemecek

2011-04-07 15:39

reporter  

scribus-bug-0009753-packages.txt (35,183 bytes)
Požadované=Neznámé/Instalovat/Odinstalovat/Vyčistit/Podržet
| Stav=Ne/Instalován/Konfigurační soubory/Rozbalen/Nezkonfigurován/Nekompletní
| instalace/Očekávané spouštěče/Nevyřízené spouštěče
|/ Chyba?=(nic)/Nutná přeinstalace (Stav,Chyba: velké písmeno=chyba)
||/ Název                                 Verze                                                    Popis
+++-======================================-========================================================-=========================================================================================
un  cairo-5c                               <žádná>                                               (popis není k dispozici)
ii  guile-cairo                            1.4.0-2build1                                            Guile bindings for Cairo
un  libcairo-dev                           <žádná>                                               (popis není k dispozici)
ii  libcairo-gobject2                      1.10.0-1ubuntu3                                          The Cairo 2D vector graphics library (GObject library)
ii  libcairo-perl                          1.070-1ubuntu1                                           Perl interface to the Cairo graphics library
un  libcairo-ruby                          <žádná>                                               (popis není k dispozici)
un  libcairo-ruby1.8                       <žádná>                                               (popis není k dispozici)
un  libcairo-script-interpreter2           <žádná>                                               (popis není k dispozici)
ii  libcairo2                              1.10.0-1ubuntu3                                          The Cairo 2D vector graphics library
ii  libcairo2-dev                          1.10.0-1ubuntu3                                          Development files for the Cairo 2D graphics library
un  libcairo2-doc                          <žádná>                                               (popis není k dispozici)
un  libcairomm-1.0-0                       <žádná>                                               (popis není k dispozici)
ii  libcairomm-1.0-1                       1.8.4-3                                                  C++ wrappers for Cairo (shared libraries)
ii  libcairomm-1.0-dev                     1.8.4-3                                                  C++ wrappers for Cairo (development files)
un  libcairomm-1.0-doc                     <žádná>                                               (popis není k dispozici)
ii  libmono-cairo1.0-cil                   2.6.7-3ubuntu1                                           Mono Cairo library (for CLI 1.0)
ii  libmono-cairo2.0-cil                   2.6.7-3ubuntu1                                           Mono Cairo library (for CLI 2.0)
ii  libswt-cairo-gtk-3.5-jni               3.5.1+versionbump-5ubuntu1                               Standard Widget Toolkit for GTK+ Cairo JNI library
ii  python-cairo                           1.8.8-1                                                  Python bindings for the Cairo vector graphics library
ii  python-gobject-cairo                   2.21.5-0ubuntu3                                          Python Cairo bindings for the GObject library
un  python2.6-cairo                        <žádná>                                               (popis není k dispozici)
un  python2.6-gobject-cairo                <žádná>                                               (popis není k dispozici)
Požadované=Neznámé/Instalovat/Odinstalovat/Vyčistit/Podržet
| Stav=Ne/Instalován/Konfigurační soubory/Rozbalen/Nezkonfigurován/Nekompletní
| instalace/Očekávané spouštěče/Nevyřízené spouštěče
|/ Chyba?=(nic)/Nutná přeinstalace (Stav,Chyba: velké písmeno=chyba)
||/ Název                                 Verze                                                    Popis
+++-======================================-========================================================-=========================================================================================
un  ibus-qt4                               <žádná>                                               (popis není k dispozici)
un  lazarus-ide-qt                         <žádná>                                               (popis není k dispozici)
un  lazarus-ide-qt4                        <žádná>                                               (popis není k dispozici)
un  lcl-qt                                 <žádná>                                               (popis není k dispozici)
ii  libaqbanking29-plugins-qt              4.2.4-2                                                  plugins needed by libaqbanking29
ii  libavahi-qt3-1                         0.6.27-2ubuntu3.1                                        Avahi Qt 3 integration library
ii  libdbusmenu-qt2                        0.6.4-0ubuntu1                                           a Qt library that implements the DBusMenu spec
rc  libindicate-qt0                        0.2.5-0ubuntu1                                           Qt bindings for libindicate
ii  libpolkit-qt-1-0                       0.95.1-1ubuntu1                                          PolicyKit-qt-1 library
un  libqt3                                 <žádná>                                               (popis není k dispozici)
un  libqt3-dev                             <žádná>                                               (popis není k dispozici)
un  libqt3-helper                          <žádná>                                               (popis není k dispozici)
ii  libqt3-mt                              3:3.3.8-b-6ubuntu2                                       Qt GUI Library (Threaded runtime version), Version 3
un  libqt3-mt-mysql                        <žádná>                                               (popis není k dispozici)
un  libqt3-mt-odbc                         <žádná>                                               (popis není k dispozici)
un  libqt3-mt-psql                         <žádná>                                               (popis není k dispozici)
un  libqt3c-mt                             <žádná>                                               (popis není k dispozici)
un  libqt3c102-mt                          <žádná>                                               (popis není k dispozici)
un  libqt4-assistant                       <žádná>                                               (popis není k dispozici)
un  libqt4-core                            <žádná>                                               (popis není k dispozici)
ii  libqt4-dbus                            4:4.7.0-0ubuntu4.3                                       Qt 4 D-Bus module
ii  libqt4-declarative                     4:4.7.0-0ubuntu4.3                                       Qt 4 Declarative module
ii  libqt4-designer                        4:4.7.0-0ubuntu4.3                                       Qt 4 designer module
ii  libqt4-dev                             4:4.7.0-0ubuntu4.3                                       Qt 4 development files
un  libqt4-gui                             <žádná>                                               (popis není k dispozici)
ii  libqt4-help                            4:4.7.0-0ubuntu4.3                                       Qt 4 help module
rc  libqt4-multimedia                      4:4.6.2-0ubuntu5.1                                       Qt 4 Multimedia module
ii  libqt4-network                         4:4.7.0-0ubuntu4.3                                       Qt 4 network module
ii  libqt4-opengl                          4:4.7.0-0ubuntu4.3                                       Qt 4 OpenGL module
ii  libqt4-opengl-dev                      4:4.7.0-0ubuntu4.3                                       Qt 4 OpenGL library development files
ii  libqt4-qt3support                      4:4.7.0-0ubuntu4.3                                       Qt 3 compatibility library for Qt 4
ii  libqt4-script                          4:4.7.0-0ubuntu4.3                                       Qt 4 script module
ii  libqt4-scripttools                     4:4.7.0-0ubuntu4.3                                       Qt 4 script tools module
ii  libqt4-sql                             4:4.7.0-0ubuntu4.3                                       Qt 4 SQL module
ii  libqt4-sql-mysql                       4:4.7.0-0ubuntu4.3                                       Qt 4 MySQL database driver
un  libqt4-sql-odbc                        <žádná>                                               (popis není k dispozici)
un  libqt4-sql-psql                        <žádná>                                               (popis není k dispozici)
ii  libqt4-sql-sqlite                      4:4.7.0-0ubuntu4.3                                       Qt 4 SQLite 3 database driver
un  libqt4-sql-sqlite2                     <žádná>                                               (popis není k dispozici)
ii  libqt4-svg                             4:4.7.0-0ubuntu4.3                                       Qt 4 SVG module
ii  libqt4-test                            4:4.7.0-0ubuntu4.3                                       Qt 4 test module
un  libqt4-webkit                          <žádná>                                               (popis není k dispozici)
un  libqt4-webkit-dev                      <žádná>                                               (popis není k dispozici)
ii  libqt4-xml                             4:4.7.0-0ubuntu4.3                                       Qt 4 XML module
ii  libqt4-xmlpatterns                     4:4.7.0-0ubuntu4.3                                       Qt 4 XML patterns module
rc  libqtassistantclient4                  4.6.3-1                                                  Qt Assistant client library (runtime)
ii  libqtcore4                             4:4.7.0-0ubuntu4.3                                       Qt 4 core module
ii  libqtgui4                              4:4.7.0-0ubuntu4.3                                       Qt 4 GUI module
ii  libqthreads-12                         1.6.8-10build1                                           QuickThreads library for Guile
ii  libqtwebkit-dev                        2.0.0-0ubuntu1                                           Web content engine library for Qt - development files
ii  libqtwebkit4                           2.0.0-0ubuntu1                                           Web content engine library for Qt
un  policykit-1-qt                         <žádná>                                               (popis není k dispozici)
un  python-qt3                             <žádná>                                               (popis není k dispozici)
ii  python-qt4                             4.7.4-0ubuntu1                                           Python bindings for Qt4
un  python-qt4-common                      <žádná>                                               (popis není k dispozici)
un  python-qt4-dbg                         <žádná>                                               (popis není k dispozici)
un  python-qt4-dev                         <žádná>                                               (popis není k dispozici)
un  python2.6-qt4                          <žádná>                                               (popis není k dispozici)
un  qt3-dev-tools                          <žádná>                                               (popis není k dispozici)
un  qt3-tools                              <žádná>                                               (popis není k dispozici)
ii  qt4-demos                              4:4.7.0-0ubuntu4.3                                       Qt 4 examples and demos
ii  qt4-designer                           4:4.7.0-0ubuntu4.3                                       graphical designer for Qt 4 applications
ii  qt4-dev-tools                          4:4.7.0-0ubuntu4.3                                       Qt 4 development tools
ii  qt4-doc                                4:4.7.0-0ubuntu4.3                                       Qt 4 API documentation
un  qt4-doc-html                           <žádná>                                               (popis není k dispozici)
ii  qt4-qmake                              4:4.7.0-0ubuntu4.3                                       Qt 4 qmake Makefile generator tool
ii  qt4-qmlviewer                          4:4.7.0-0ubuntu4.3                                       Qt 4 QML viewer
ii  qt4-qtconfig                           4:4.7.0-0ubuntu4.3                                       Qt 4 configuration tool
rc  screenie-qt                            0.0~git20100701-1                                        fancy screenshot composer
Požadované=Neznámé/Instalovat/Odinstalovat/Vyčistit/Podržet
| Stav=Ne/Instalován/Konfigurační soubory/Rozbalen/Nezkonfigurován/Nekompletní
| instalace/Očekávané spouštěče/Nevyřízené spouštěče
|/ Chyba?=(nic)/Nutná přeinstalace (Stav,Chyba: velké písmeno=chyba)
||/ Název                                 Verze                                                    Popis
+++-======================================-========================================================-=========================================================================================
un  appmenu-gtk                            <žádná>                                               (popis není k dispozici)
ii  apport-gtk                             1.14.1-0ubuntu8.1                                        GTK+ frontend for the apport crash report system
un  aumix-gtk                              <žádná>                                               (popis není k dispozici)
ii  avidemux-plugins-gtk                   1:2.5.3-0ubuntu3                                         a free video editor - GTK plugins
ii  bzr-gtk                                0.99.0-1ubuntu1                                          provides graphical interfaces to Bazaar (bzr) version control
ii  checkbox-gtk                           0.10.3                                                   Checkbox GTK Interface
ii  computer-janitor-gtk                   2.0.4-0ubuntu1.1                                         Clean up a system so it's more like a freshly installed one
un  emacs22-gtk                            <žádná>                                               (popis není k dispozici)
un  espresso-frontend-gtk                  <žádná>                                               (popis není k dispozici)
un  evince-gtk                             <žádná>                                               (popis není k dispozici)
un  fp-units-gtk                           <žádná>                                               (popis není k dispozici)
un  fp-units-gtk2                          <žádná>                                               (popis není k dispozici)
ii  gftp-gtk                               2.0.19-2ubuntu1                                          X/GTK+ FTP client
ii  gir1.0-gtk-2.0                         2.22.0-0ubuntu1                                          The GTK+ graphical user interface library
rc  google-gadgets-gtk                     0.11.2-3ubuntu1                                          GTK+ Version of Google Gadgets
ii  gtk-clearlooks-gperfection2-theme      1.1-0ubuntu2                                             gtk theme for the clearlooks engine
un  gtk-sharp2-gapi                        <žádná>                                               (popis není k dispozici)
ii  gtk2-engines                           1:2.20.1-1ubuntu1                                        theme engines for GTK+ 2.x
un  gtk2-engines-clearlooks                <žádná>                                               (popis není k dispozici)
un  gtk2-engines-crux                      <žádná>                                               (popis není k dispozici)
un  gtk2-engines-galaxy                    <žádná>                                               (popis není k dispozici)
un  gtk2-engines-gorilla                   <žádná>                                               (popis není k dispozici)
un  gtk2-engines-highcontrast              <žádná>                                               (popis není k dispozici)
un  gtk2-engines-industrial                <žádná>                                               (popis není k dispozici)
un  gtk2-engines-lighthouseblue            <žádná>                                               (popis není k dispozici)
un  gtk2-engines-metal                     <žádná>                                               (popis není k dispozici)
un  gtk2-engines-mist                      <žádná>                                               (popis není k dispozici)
ii  gtk2-engines-murrine                   0.98.1.1-0ubuntu1                                        cairo-based gtk+-2.0 theme engine
un  gtk2-engines-nuvola                    <žádná>                                               (popis není k dispozici)
ii  gtk2-engines-pixbuf                    2.22.0-0ubuntu1                                          Pixbuf-based theme for GTK+ 2.x
un  gtk2-engines-redmond95                 <žádná>                                               (popis není k dispozici)
ii  gtk2-engines-smooth                    1:2.14.3+deb5                                            Smooth theme engine for GTK+ 2.x
un  gtk2-engines-spherecrystal             <žádná>                                               (popis není k dispozici)
un  gtk2-engines-thinice                   <žádná>                                               (popis není k dispozici)
un  gtk2-engines-ubuntulooks               <žádná>                                               (popis není k dispozici)
un  gtk2-engines-wasp                      <žádná>                                               (popis není k dispozici)
un  gtk2.0-binver-2.10.0                   <žádná>                                               (popis není k dispozici)
un  gtkam                                  <žádná>                                               (popis není k dispozici)
ii  gtkam-gimp                             0.1.17-1                                                 gtkam gimp plugin to open digital camera pictures
un  gtkhtml3.14                            <žádná>                                               (popis není k dispozici)
un  gtklp                                  <žádná>                                               (popis není k dispozici)
ii  guile-gnome2-gtk                       2.16.1-4ubuntu1                                          Guile bindings for GTK+, libglade, Pango and ATK
un  human-gtk-theme                        <žádná>                                               (popis není k dispozici)
un  hwtest-gtk                             <žádná>                                               (popis není k dispozici)
ii  ibus-gtk                               1.3.7-1ubuntu4                                           New input method framework using dbus
ii  jockey-gtk                             0.5.10-0ubuntu5.2                                        GNOME user interface and desktop integration for driver management
un  lazarus-ide-gtk                        <žádná>                                               (popis není k dispozici)
un  lazarus-ide-gtk2                       <žádná>                                               (popis není k dispozici)
un  lcl-gtk                                <žádná>                                               (popis není k dispozici)
un  lcl-gtk2                               <žádná>                                               (popis není k dispozici)
un  libaiksaurusgtk-1.2-0                  <žádná>                                               (popis není k dispozici)
ii  libaiksaurusgtk-1.2-0c2a               1.2.1+dev-0.12-6build2                                   graphical interface to the Aiksaurus toolkit (library)
un  libaiksaurusgtk0                       <žádná>                                               (popis není k dispozici)
un  libaiksaurusgtk0c102                   <žádná>                                               (popis není k dispozici)
ii  libcanberra-gtk-module                 0.25-0ubuntu1                                            translates Gtk+ widgets signals to event sounds
ii  libcanberra-gtk0                       0.25-0ubuntu1                                            Gtk+ helper for playing widget event sounds with libcanberra
ii  libclutter-gtk-0.10-0                  0.10.4-1ubuntu3                                          Open GL based interactive canvas library GTK+ widget
ii  libdbusmenu-gtk1                       0.3.16-0ubuntu1                                          library for passing menus over DBus - GTK+ version
un  libempathy-gtk-common                  <žádná>                                               (popis není k dispozici)
ii  libexif-gtk5                           0.3.5-4build1                                            Library providing GTK+ widgets to display/edit EXIF tags
ii  libgdu-gtk0                            2.30.1-2                                                 GTK+ standard dialog library for libgdu
un  libggadget-gtk-1.0-0                   <žádná>                                               (popis není k dispozici)
un  libggadget-gtk-1.0-0-api               <žádná>                                               (popis není k dispozici)
un  libggadget-gtk-1.0-0a                  <žádná>                                               (popis není k dispozici)
rc  libggadget-gtk-1.0-0b                  0.11.2-3ubuntu1                                          Google Gadgets GTK+ library
un  libgpod4-nogtk                         <žádná>                                               (popis není k dispozici)
un  libgtk-directfb-2.0-0                  <žádná>                                               (popis není k dispozici)
un  libgtk-trayicon-ruby1.8                <žádná>                                               (popis není k dispozici)
ii  libgtk-vnc-1.0-0                       0.4.1-3ubuntu2                                           A VNC viewer widget for GTK+ (runtime libraries)
un  libgtk2-ex-podviewer-perl              <žádná>                                               (popis není k dispozici)
un  libgtk2-ex-simple-list-perl            <žádná>                                               (popis není k dispozici)
ii  libgtk2-gst                            3.2-1build1                                              GTK+ bindings and environment for GNU Smalltalk
un  libgtk2-imageview-perl                 <žádná>                                               (popis není k dispozici)
un  libgtk2-mozembed-perl                  <žádná>                                               (popis není k dispozici)
un  libgtk2-notify-perl                    <žádná>                                               (popis není k dispozici)
ii  libgtk2-perl                           2:1.222-1                                                Perl interface to the 2.x series of the Gimp Toolkit library
un  libgtk2-perl-doc                       <žádná>                                               (popis není k dispozici)
un  libgtk2-podviewer-perl                 <žádná>                                               (popis není k dispozici)
un  libgtk2-ruby                           <žádná>                                               (popis není k dispozici)
un  libgtk2-ruby1.8                        <žádná>                                               (popis není k dispozici)
un  libgtk2-trayicon-perl                  <žádná>                                               (popis není k dispozici)
ii  libgtk2.0-0                            2.22.0-0ubuntu1                                          The GTK+ graphical user interface library
ii  libgtk2.0-bin                          2.22.0-0ubuntu1                                          The programs for the GTK+ graphical user interface library
ii  libgtk2.0-cil                          2.12.10-1                                                CLI binding for the GTK+ toolkit 2.12
ii  libgtk2.0-cil-dev                      2.12.10-1                                                CLI binding for the GTK+ toolkit 2.12
ii  libgtk2.0-common                       2.22.0-0ubuntu1                                          Common files for the GTK+ graphical user interface library
ii  libgtk2.0-dev                          2.22.0-0ubuntu1                                          Development files for the GTK+ library
ii  libgtk2.0-doc                          2.22.0-0ubuntu1                                          Documentation for the GTK+ graphical user interface library
un  libgtkada2-bin                         <žádná>                                               (popis není k dispozici)
ii  libgtkglext1                           1.2.0-1.1fakesync2                                       OpenGL Extension to GTK+ (shared libraries)
ii  libgtkhex0                             2.24.0-1                                                 GNOME Hex editor for files (shared library)
ii  libgtkhtml-editor-common               1:3.30.3-1ubuntu1                                        HTML rendering/editing library - editor widget data
un  libgtkhtml-editor-dev                  <žádná>                                               (popis není k dispozici)
ii  libgtkhtml-editor0                     1:3.30.3-1ubuntu1                                        HTML rendering/editing library - editor widget
un  libgtkhtml3.14                         <žádná>                                               (popis není k dispozici)
ii  libgtkhtml3.14-19                      1:3.30.3-1ubuntu1                                        HTML rendering/editing library - runtime files
un  libgtkhtml3.14-dbg                     <žádná>                                               (popis není k dispozici)
un  libgtkhtml3.14-dev                     <žádná>                                               (popis není k dispozici)
ii  libgtkimageview0                       1.6.4-1                                                  image viewer widget for GTK+
un  libgtkmathview-bin                     <žádná>                                               (popis není k dispozici)
un  libgtkmathview0                        <žádná>                                               (popis není k dispozici)
un  libgtkmathview0c2                      <žádná>                                               (popis není k dispozici)
ii  libgtkmathview0c2a                     0.8.0-5build1                                            rendering engine for MathML documents
un  libgtkmm-2.4-1                         <žádná>                                               (popis není k dispozici)
un  libgtkmm-2.4-1c2                       <žádná>                                               (popis není k dispozici)
ii  libgtkmm-2.4-1c2a                      1:2.20.3-1                                               C++ wrappers for GTK+ (shared libraries)
un  libgtkmm-2.4-dev                       <žádná>                                               (popis není k dispozici)
un  libgtkmm2.0-dev                        <žádná>                                               (popis není k dispozici)
ii  libgtksourceview2.0-0                  2.10.5-0ubuntu1                                          shared libraries for the GTK+ syntax highlighting widget
ii  libgtksourceview2.0-common             2.10.5-0ubuntu1                                          common files for the GTK+ syntax highlighting widget
ii  libgtksourceview2.0-dev                2.10.5-0ubuntu1                                          development files for the GTK+ syntax highlighting widget
ii  libgtksourceview2.0-doc                2.10.5-0ubuntu1                                          documentation for the GTK+ syntax highlighting widget
ii  libgtksourceviewmm-2.0-2               2.2.0-2                                                  C++ binding of GtkSourceView
ii  libgtkspell-dev                        2.0.16-1                                                 Development files for GtkSpell
ii  libgtkspell0                           2.0.16-1                                                 a spell-checking addon for GTK's TextView widget
ii  libindicate-gtk-dev                    0.4.4-0ubuntu2                                           library for raising indicators via DBus - GTK bindings development files
ii  libindicate-gtk2                       0.4.4-0ubuntu2                                           library for raising indicators via DBus - GTK bindings
un  libnotify-dev-gtk2.10                  <žádná>                                               (popis není k dispozici)
un  libnotify1-gtk2.10                     <žádná>                                               (popis není k dispozici)
ii  libpolkit-gtk-1-0                      0.96-2ubuntu4                                            PolicyKit GTK+ API
ii  libswt-cairo-gtk-3.5-jni               3.5.1+versionbump-5ubuntu1                               Standard Widget Toolkit for GTK+ Cairo JNI library
ii  libswt-glx-gtk-3.5-jni                 3.5.1+versionbump-5ubuntu1                               Standard Widget Toolkit for GTK+ GLX JNI library
ii  libswt-gnome-gtk-3.5-jni               3.5.1+versionbump-5ubuntu1                               Standard Widget Toolkit for GTK+ GNOME JNI library
ii  libswt-gtk-3.5-jni                     3.5.1+versionbump-5ubuntu1                               Standard Widget Toolkit for GTK+ JNI library
un  libswt-mozilla-gtk-3.5-jni             <žádná>                                               (popis není k dispozici)
ii  libwmf0.2-7-gtk                        0.2.8.4-7ubuntu2                                         Windows metafile conversion library
ii  libwxgtk2.6-0                          2.6.3.2.2-5ubuntu1                                       wxWidgets Cross-platform C++ GUI toolkit (GTK+ runtime)
un  libwxgtk2.6-0-python                   <žádná>                                               (popis není k dispozici)
ii  libwxgtk2.8-0                          2.8.11.0-0ubuntu4.1                                      wxWidgets Cross-platform C++ GUI toolkit (GTK+ runtime)
un  monodoc-gtk-manual                     <žádná>                                               (popis není k dispozici)
un  monodoc-gtk2.0-manual                  <žádná>                                               (popis není k dispozici)
ii  openoffice.org-gtk                     1:3.2.1-7ubuntu1.1                                       office productivity suite -- GTK+ integration
un  openoffice.org-gtk-gnome               <žádná>                                               (popis není k dispozici)
ii  python-aptdaemon-gtk                   0.31+bzr506-0ubuntu6.2                                   Python GTK+ widgets to run an aptdaemon client
un  python-gtk                             <žádná>                                               (popis není k dispozici)
un  python-gtk-1.2                         <žádná>                                               (popis není k dispozici)
ii  python-gtk2                            2.21.0-0ubuntu1                                          Python bindings for the GTK+ widget set
ii  python-gtk2-dev                        2.21.0-0ubuntu1                                          GTK+ bindings: devel files
ii  python-gtk2-doc                        2.21.0-0ubuntu1                                          Python bindings for the GTK+ widget set - documentation
un  python-gtkglext1                       <žádná>                                               (popis není k dispozici)
un  python-gtkmozembed                     <žádná>                                               (popis není k dispozici)
ii  python-gtksourceview2                  2.10.1-1                                                 Python bindings for the GtkSourceView widget
ii  python-gtkspell                        2.25.3-5ubuntu2.1                                        Python bindings for the GtkSpell library
un  python-wxgtk                           <žádná>                                               (popis není k dispozici)
un  python-wxgtk2.6                        <žádná>                                               (popis není k dispozici)
ii  python-wxgtk2.8                        2.8.11.0-0ubuntu4.1                                      wxWidgets Cross-platform C++ GUI toolkit (wxPython binding)
un  python2.2-gtk2                         <žádná>                                               (popis není k dispozici)
un  python2.3-gtk2                         <žádná>                                               (popis není k dispozici)
un  python2.4-gtk2                         <žádná>                                               (popis není k dispozici)
un  python2.6-gtk2                         <žádná>                                               (popis není k dispozici)
un  python2.6-gtkglext1                    <žádná>                                               (popis není k dispozici)
un  python2.6-gtksourceview2               <žádná>                                               (popis není k dispozici)
un  python2.6-wxgtk2.8                     <žádná>                                               (popis není k dispozici)
ii  software-properties-gtk                0.76.7                                                   manage the repositories that you install software from
un  system-cleaner-gtk                     <žádná>                                               (popis není k dispozici)
ii  transmission-gtk                       2.05-0ubuntu0.2                                          lightweight BitTorrent client (GTK interface)
un  ubiquity-frontend-gtk                  <žádná>                                               (popis není k dispozici)
un  ubuntu-express-frontend-gtk            <žádná>                                               (popis není k dispozici)
ii  usb-creator-gtk                        0.2.25                                                   create a startup disk using a CD or disc image (for GNOME)
un  vim-gtk                                <žádná>                                               (popis není k dispozici)
ii  xdg-user-dirs-gtk                      0.8-1ubuntu1                                             tool to manage well known user directories (Gtk extension)

ondrej.nemecek

2011-04-07 15:41

reporter  

scribus-bug-0009753-packages-en.txt (35,005 bytes)
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name                                   Version                                                  Description
+++-======================================-========================================================-=========================================================================================
un  cairo-5c                               <none>                                                   (no description available)
ii  guile-cairo                            1.4.0-2build1                                            Guile bindings for Cairo
un  libcairo-dev                           <none>                                                   (no description available)
ii  libcairo-gobject2                      1.10.0-1ubuntu3                                          The Cairo 2D vector graphics library (GObject library)
ii  libcairo-perl                          1.070-1ubuntu1                                           Perl interface to the Cairo graphics library
un  libcairo-ruby                          <none>                                                   (no description available)
un  libcairo-ruby1.8                       <none>                                                   (no description available)
un  libcairo-script-interpreter2           <none>                                                   (no description available)
ii  libcairo2                              1.10.0-1ubuntu3                                          The Cairo 2D vector graphics library
ii  libcairo2-dev                          1.10.0-1ubuntu3                                          Development files for the Cairo 2D graphics library
un  libcairo2-doc                          <none>                                                   (no description available)
un  libcairomm-1.0-0                       <none>                                                   (no description available)
ii  libcairomm-1.0-1                       1.8.4-3                                                  C++ wrappers for Cairo (shared libraries)
ii  libcairomm-1.0-dev                     1.8.4-3                                                  C++ wrappers for Cairo (development files)
un  libcairomm-1.0-doc                     <none>                                                   (no description available)
ii  libmono-cairo1.0-cil                   2.6.7-3ubuntu1                                           Mono Cairo library (for CLI 1.0)
ii  libmono-cairo2.0-cil                   2.6.7-3ubuntu1                                           Mono Cairo library (for CLI 2.0)
ii  libswt-cairo-gtk-3.5-jni               3.5.1+versionbump-5ubuntu1                               Standard Widget Toolkit for GTK+ Cairo JNI library
ii  python-cairo                           1.8.8-1                                                  Python bindings for the Cairo vector graphics library
ii  python-gobject-cairo                   2.21.5-0ubuntu3                                          Python Cairo bindings for the GObject library
un  python2.6-cairo                        <none>                                                   (no description available)
un  python2.6-gobject-cairo                <none>                                                   (no description available)
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name                                   Version                                                  Description
+++-======================================-========================================================-=========================================================================================
un  ibus-qt4                               <none>                                                   (no description available)
un  lazarus-ide-qt                         <none>                                                   (no description available)
un  lazarus-ide-qt4                        <none>                                                   (no description available)
un  lcl-qt                                 <none>                                                   (no description available)
ii  libaqbanking29-plugins-qt              4.2.4-2                                                  plugins needed by libaqbanking29
ii  libavahi-qt3-1                         0.6.27-2ubuntu3.1                                        Avahi Qt 3 integration library
ii  libdbusmenu-qt2                        0.6.4-0ubuntu1                                           a Qt library that implements the DBusMenu spec
rc  libindicate-qt0                        0.2.5-0ubuntu1                                           Qt bindings for libindicate
ii  libpolkit-qt-1-0                       0.95.1-1ubuntu1                                          PolicyKit-qt-1 library
un  libqt3                                 <none>                                                   (no description available)
un  libqt3-dev                             <none>                                                   (no description available)
un  libqt3-helper                          <none>                                                   (no description available)
ii  libqt3-mt                              3:3.3.8-b-6ubuntu2                                       Qt GUI Library (Threaded runtime version), Version 3
un  libqt3-mt-mysql                        <none>                                                   (no description available)
un  libqt3-mt-odbc                         <none>                                                   (no description available)
un  libqt3-mt-psql                         <none>                                                   (no description available)
un  libqt3c-mt                             <none>                                                   (no description available)
un  libqt3c102-mt                          <none>                                                   (no description available)
un  libqt4-assistant                       <none>                                                   (no description available)
un  libqt4-core                            <none>                                                   (no description available)
ii  libqt4-dbus                            4:4.7.0-0ubuntu4.3                                       Qt 4 D-Bus module
ii  libqt4-declarative                     4:4.7.0-0ubuntu4.3                                       Qt 4 Declarative module
ii  libqt4-designer                        4:4.7.0-0ubuntu4.3                                       Qt 4 designer module
ii  libqt4-dev                             4:4.7.0-0ubuntu4.3                                       Qt 4 development files
un  libqt4-gui                             <none>                                                   (no description available)
ii  libqt4-help                            4:4.7.0-0ubuntu4.3                                       Qt 4 help module
rc  libqt4-multimedia                      4:4.6.2-0ubuntu5.1                                       Qt 4 Multimedia module
ii  libqt4-network                         4:4.7.0-0ubuntu4.3                                       Qt 4 network module
ii  libqt4-opengl                          4:4.7.0-0ubuntu4.3                                       Qt 4 OpenGL module
ii  libqt4-opengl-dev                      4:4.7.0-0ubuntu4.3                                       Qt 4 OpenGL library development files
ii  libqt4-qt3support                      4:4.7.0-0ubuntu4.3                                       Qt 3 compatibility library for Qt 4
ii  libqt4-script                          4:4.7.0-0ubuntu4.3                                       Qt 4 script module
ii  libqt4-scripttools                     4:4.7.0-0ubuntu4.3                                       Qt 4 script tools module
ii  libqt4-sql                             4:4.7.0-0ubuntu4.3                                       Qt 4 SQL module
ii  libqt4-sql-mysql                       4:4.7.0-0ubuntu4.3                                       Qt 4 MySQL database driver
un  libqt4-sql-odbc                        <none>                                                   (no description available)
un  libqt4-sql-psql                        <none>                                                   (no description available)
ii  libqt4-sql-sqlite                      4:4.7.0-0ubuntu4.3                                       Qt 4 SQLite 3 database driver
un  libqt4-sql-sqlite2                     <none>                                                   (no description available)
ii  libqt4-svg                             4:4.7.0-0ubuntu4.3                                       Qt 4 SVG module
ii  libqt4-test                            4:4.7.0-0ubuntu4.3                                       Qt 4 test module
un  libqt4-webkit                          <none>                                                   (no description available)
un  libqt4-webkit-dev                      <none>                                                   (no description available)
ii  libqt4-xml                             4:4.7.0-0ubuntu4.3                                       Qt 4 XML module
ii  libqt4-xmlpatterns                     4:4.7.0-0ubuntu4.3                                       Qt 4 XML patterns module
rc  libqtassistantclient4                  4.6.3-1                                                  Qt Assistant client library (runtime)
ii  libqtcore4                             4:4.7.0-0ubuntu4.3                                       Qt 4 core module
ii  libqtgui4                              4:4.7.0-0ubuntu4.3                                       Qt 4 GUI module
ii  libqthreads-12                         1.6.8-10build1                                           QuickThreads library for Guile
ii  libqtwebkit-dev                        2.0.0-0ubuntu1                                           Web content engine library for Qt - development files
ii  libqtwebkit4                           2.0.0-0ubuntu1                                           Web content engine library for Qt
un  policykit-1-qt                         <none>                                                   (no description available)
un  python-qt3                             <none>                                                   (no description available)
ii  python-qt4                             4.7.4-0ubuntu1                                           Python bindings for Qt4
un  python-qt4-common                      <none>                                                   (no description available)
un  python-qt4-dbg                         <none>                                                   (no description available)
un  python-qt4-dev                         <none>                                                   (no description available)
un  python2.6-qt4                          <none>                                                   (no description available)
un  qt3-dev-tools                          <none>                                                   (no description available)
un  qt3-tools                              <none>                                                   (no description available)
ii  qt4-demos                              4:4.7.0-0ubuntu4.3                                       Qt 4 examples and demos
ii  qt4-designer                           4:4.7.0-0ubuntu4.3                                       graphical designer for Qt 4 applications
ii  qt4-dev-tools                          4:4.7.0-0ubuntu4.3                                       Qt 4 development tools
ii  qt4-doc                                4:4.7.0-0ubuntu4.3                                       Qt 4 API documentation
un  qt4-doc-html                           <none>                                                   (no description available)
ii  qt4-qmake                              4:4.7.0-0ubuntu4.3                                       Qt 4 qmake Makefile generator tool
ii  qt4-qmlviewer                          4:4.7.0-0ubuntu4.3                                       Qt 4 QML viewer
ii  qt4-qtconfig                           4:4.7.0-0ubuntu4.3                                       Qt 4 configuration tool
rc  screenie-qt                            0.0~git20100701-1                                        fancy screenshot composer
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name                                   Version                                                  Description
+++-======================================-========================================================-=========================================================================================
un  appmenu-gtk                            <none>                                                   (no description available)
ii  apport-gtk                             1.14.1-0ubuntu8.1                                        GTK+ frontend for the apport crash report system
un  aumix-gtk                              <none>                                                   (no description available)
ii  avidemux-plugins-gtk                   1:2.5.3-0ubuntu3                                         a free video editor - GTK plugins
ii  bzr-gtk                                0.99.0-1ubuntu1                                          provides graphical interfaces to Bazaar (bzr) version control
ii  checkbox-gtk                           0.10.3                                                   Checkbox GTK Interface
ii  computer-janitor-gtk                   2.0.4-0ubuntu1.1                                         Clean up a system so it's more like a freshly installed one
un  emacs22-gtk                            <none>                                                   (no description available)
un  espresso-frontend-gtk                  <none>                                                   (no description available)
un  evince-gtk                             <none>                                                   (no description available)
un  fp-units-gtk                           <none>                                                   (no description available)
un  fp-units-gtk2                          <none>                                                   (no description available)
ii  gftp-gtk                               2.0.19-2ubuntu1                                          X/GTK+ FTP client
ii  gir1.0-gtk-2.0                         2.22.0-0ubuntu1                                          The GTK+ graphical user interface library
rc  google-gadgets-gtk                     0.11.2-3ubuntu1                                          GTK+ Version of Google Gadgets
ii  gtk-clearlooks-gperfection2-theme      1.1-0ubuntu2                                             gtk theme for the clearlooks engine
un  gtk-sharp2-gapi                        <none>                                                   (no description available)
ii  gtk2-engines                           1:2.20.1-1ubuntu1                                        theme engines for GTK+ 2.x
un  gtk2-engines-clearlooks                <none>                                                   (no description available)
un  gtk2-engines-crux                      <none>                                                   (no description available)
un  gtk2-engines-galaxy                    <none>                                                   (no description available)
un  gtk2-engines-gorilla                   <none>                                                   (no description available)
un  gtk2-engines-highcontrast              <none>                                                   (no description available)
un  gtk2-engines-industrial                <none>                                                   (no description available)
un  gtk2-engines-lighthouseblue            <none>                                                   (no description available)
un  gtk2-engines-metal                     <none>                                                   (no description available)
un  gtk2-engines-mist                      <none>                                                   (no description available)
ii  gtk2-engines-murrine                   0.98.1.1-0ubuntu1                                        cairo-based gtk+-2.0 theme engine
un  gtk2-engines-nuvola                    <none>                                                   (no description available)
ii  gtk2-engines-pixbuf                    2.22.0-0ubuntu1                                          Pixbuf-based theme for GTK+ 2.x
un  gtk2-engines-redmond95                 <none>                                                   (no description available)
ii  gtk2-engines-smooth                    1:2.14.3+deb5                                            Smooth theme engine for GTK+ 2.x
un  gtk2-engines-spherecrystal             <none>                                                   (no description available)
un  gtk2-engines-thinice                   <none>                                                   (no description available)
un  gtk2-engines-ubuntulooks               <none>                                                   (no description available)
un  gtk2-engines-wasp                      <none>                                                   (no description available)
un  gtk2.0-binver-2.10.0                   <none>                                                   (no description available)
un  gtkam                                  <none>                                                   (no description available)
ii  gtkam-gimp                             0.1.17-1                                                 gtkam gimp plugin to open digital camera pictures
un  gtkhtml3.14                            <none>                                                   (no description available)
un  gtklp                                  <none>                                                   (no description available)
ii  guile-gnome2-gtk                       2.16.1-4ubuntu1                                          Guile bindings for GTK+, libglade, Pango and ATK
un  human-gtk-theme                        <none>                                                   (no description available)
un  hwtest-gtk                             <none>                                                   (no description available)
ii  ibus-gtk                               1.3.7-1ubuntu4                                           New input method framework using dbus
ii  jockey-gtk                             0.5.10-0ubuntu5.2                                        GNOME user interface and desktop integration for driver management
un  lazarus-ide-gtk                        <none>                                                   (no description available)
un  lazarus-ide-gtk2                       <none>                                                   (no description available)
un  lcl-gtk                                <none>                                                   (no description available)
un  lcl-gtk2                               <none>                                                   (no description available)
un  libaiksaurusgtk-1.2-0                  <none>                                                   (no description available)
ii  libaiksaurusgtk-1.2-0c2a               1.2.1+dev-0.12-6build2                                   graphical interface to the Aiksaurus toolkit (library)
un  libaiksaurusgtk0                       <none>                                                   (no description available)
un  libaiksaurusgtk0c102                   <none>                                                   (no description available)
ii  libcanberra-gtk-module                 0.25-0ubuntu1                                            translates Gtk+ widgets signals to event sounds
ii  libcanberra-gtk0                       0.25-0ubuntu1                                            Gtk+ helper for playing widget event sounds with libcanberra
ii  libclutter-gtk-0.10-0                  0.10.4-1ubuntu3                                          Open GL based interactive canvas library GTK+ widget
ii  libdbusmenu-gtk1                       0.3.16-0ubuntu1                                          library for passing menus over DBus - GTK+ version
un  libempathy-gtk-common                  <none>                                                   (no description available)
ii  libexif-gtk5                           0.3.5-4build1                                            Library providing GTK+ widgets to display/edit EXIF tags
ii  libgdu-gtk0                            2.30.1-2                                                 GTK+ standard dialog library for libgdu
un  libggadget-gtk-1.0-0                   <none>                                                   (no description available)
un  libggadget-gtk-1.0-0-api               <none>                                                   (no description available)
un  libggadget-gtk-1.0-0a                  <none>                                                   (no description available)
rc  libggadget-gtk-1.0-0b                  0.11.2-3ubuntu1                                          Google Gadgets GTK+ library
un  libgpod4-nogtk                         <none>                                                   (no description available)
un  libgtk-directfb-2.0-0                  <none>                                                   (no description available)
un  libgtk-trayicon-ruby1.8                <none>                                                   (no description available)
ii  libgtk-vnc-1.0-0                       0.4.1-3ubuntu2                                           A VNC viewer widget for GTK+ (runtime libraries)
un  libgtk2-ex-podviewer-perl              <none>                                                   (no description available)
un  libgtk2-ex-simple-list-perl            <none>                                                   (no description available)
ii  libgtk2-gst                            3.2-1build1                                              GTK+ bindings and environment for GNU Smalltalk
un  libgtk2-imageview-perl                 <none>                                                   (no description available)
un  libgtk2-mozembed-perl                  <none>                                                   (no description available)
un  libgtk2-notify-perl                    <none>                                                   (no description available)
ii  libgtk2-perl                           2:1.222-1                                                Perl interface to the 2.x series of the Gimp Toolkit library
un  libgtk2-perl-doc                       <none>                                                   (no description available)
un  libgtk2-podviewer-perl                 <none>                                                   (no description available)
un  libgtk2-ruby                           <none>                                                   (no description available)
un  libgtk2-ruby1.8                        <none>                                                   (no description available)
un  libgtk2-trayicon-perl                  <none>                                                   (no description available)
ii  libgtk2.0-0                            2.22.0-0ubuntu1                                          The GTK+ graphical user interface library
ii  libgtk2.0-bin                          2.22.0-0ubuntu1                                          The programs for the GTK+ graphical user interface library
ii  libgtk2.0-cil                          2.12.10-1                                                CLI binding for the GTK+ toolkit 2.12
ii  libgtk2.0-cil-dev                      2.12.10-1                                                CLI binding for the GTK+ toolkit 2.12
ii  libgtk2.0-common                       2.22.0-0ubuntu1                                          Common files for the GTK+ graphical user interface library
ii  libgtk2.0-dev                          2.22.0-0ubuntu1                                          Development files for the GTK+ library
ii  libgtk2.0-doc                          2.22.0-0ubuntu1                                          Documentation for the GTK+ graphical user interface library
un  libgtkada2-bin                         <none>                                                   (no description available)
ii  libgtkglext1                           1.2.0-1.1fakesync2                                       OpenGL Extension to GTK+ (shared libraries)
ii  libgtkhex0                             2.24.0-1                                                 GNOME Hex editor for files (shared library)
ii  libgtkhtml-editor-common               1:3.30.3-1ubuntu1                                        HTML rendering/editing library - editor widget data
un  libgtkhtml-editor-dev                  <none>                                                   (no description available)
ii  libgtkhtml-editor0                     1:3.30.3-1ubuntu1                                        HTML rendering/editing library - editor widget
un  libgtkhtml3.14                         <none>                                                   (no description available)
ii  libgtkhtml3.14-19                      1:3.30.3-1ubuntu1                                        HTML rendering/editing library - runtime files
un  libgtkhtml3.14-dbg                     <none>                                                   (no description available)
un  libgtkhtml3.14-dev                     <none>                                                   (no description available)
ii  libgtkimageview0                       1.6.4-1                                                  image viewer widget for GTK+
un  libgtkmathview-bin                     <none>                                                   (no description available)
un  libgtkmathview0                        <none>                                                   (no description available)
un  libgtkmathview0c2                      <none>                                                   (no description available)
ii  libgtkmathview0c2a                     0.8.0-5build1                                            rendering engine for MathML documents
un  libgtkmm-2.4-1                         <none>                                                   (no description available)
un  libgtkmm-2.4-1c2                       <none>                                                   (no description available)
ii  libgtkmm-2.4-1c2a                      1:2.20.3-1                                               C++ wrappers for GTK+ (shared libraries)
un  libgtkmm-2.4-dev                       <none>                                                   (no description available)
un  libgtkmm2.0-dev                        <none>                                                   (no description available)
ii  libgtksourceview2.0-0                  2.10.5-0ubuntu1                                          shared libraries for the GTK+ syntax highlighting widget
ii  libgtksourceview2.0-common             2.10.5-0ubuntu1                                          common files for the GTK+ syntax highlighting widget
ii  libgtksourceview2.0-dev                2.10.5-0ubuntu1                                          development files for the GTK+ syntax highlighting widget
ii  libgtksourceview2.0-doc                2.10.5-0ubuntu1                                          documentation for the GTK+ syntax highlighting widget
ii  libgtksourceviewmm-2.0-2               2.2.0-2                                                  C++ binding of GtkSourceView
ii  libgtkspell-dev                        2.0.16-1                                                 Development files for GtkSpell
ii  libgtkspell0                           2.0.16-1                                                 a spell-checking addon for GTK's TextView widget
ii  libindicate-gtk-dev                    0.4.4-0ubuntu2                                           library for raising indicators via DBus - GTK bindings development files
ii  libindicate-gtk2                       0.4.4-0ubuntu2                                           library for raising indicators via DBus - GTK bindings
un  libnotify-dev-gtk2.10                  <none>                                                   (no description available)
un  libnotify1-gtk2.10                     <none>                                                   (no description available)
ii  libpolkit-gtk-1-0                      0.96-2ubuntu4                                            PolicyKit GTK+ API
ii  libswt-cairo-gtk-3.5-jni               3.5.1+versionbump-5ubuntu1                               Standard Widget Toolkit for GTK+ Cairo JNI library
ii  libswt-glx-gtk-3.5-jni                 3.5.1+versionbump-5ubuntu1                               Standard Widget Toolkit for GTK+ GLX JNI library
ii  libswt-gnome-gtk-3.5-jni               3.5.1+versionbump-5ubuntu1                               Standard Widget Toolkit for GTK+ GNOME JNI library
ii  libswt-gtk-3.5-jni                     3.5.1+versionbump-5ubuntu1                               Standard Widget Toolkit for GTK+ JNI library
un  libswt-mozilla-gtk-3.5-jni             <none>                                                   (no description available)
ii  libwmf0.2-7-gtk                        0.2.8.4-7ubuntu2                                         Windows metafile conversion library
ii  libwxgtk2.6-0                          2.6.3.2.2-5ubuntu1                                       wxWidgets Cross-platform C++ GUI toolkit (GTK+ runtime)
un  libwxgtk2.6-0-python                   <none>                                                   (no description available)
ii  libwxgtk2.8-0                          2.8.11.0-0ubuntu4.1                                      wxWidgets Cross-platform C++ GUI toolkit (GTK+ runtime)
un  monodoc-gtk-manual                     <none>                                                   (no description available)
un  monodoc-gtk2.0-manual                  <none>                                                   (no description available)
ii  openoffice.org-gtk                     1:3.2.1-7ubuntu1.1                                       office productivity suite -- GTK+ integration
un  openoffice.org-gtk-gnome               <none>                                                   (no description available)
ii  python-aptdaemon-gtk                   0.31+bzr506-0ubuntu6.2                                   Python GTK+ widgets to run an aptdaemon client
un  python-gtk                             <none>                                                   (no description available)
un  python-gtk-1.2                         <none>                                                   (no description available)
ii  python-gtk2                            2.21.0-0ubuntu1                                          Python bindings for the GTK+ widget set
ii  python-gtk2-dev                        2.21.0-0ubuntu1                                          GTK+ bindings: devel files
ii  python-gtk2-doc                        2.21.0-0ubuntu1                                          Python bindings for the GTK+ widget set - documentation
un  python-gtkglext1                       <none>                                                   (no description available)
un  python-gtkmozembed                     <none>                                                   (no description available)
ii  python-gtksourceview2                  2.10.1-1                                                 Python bindings for the GtkSourceView widget
ii  python-gtkspell                        2.25.3-5ubuntu2.1                                        Python bindings for the GtkSpell library
un  python-wxgtk                           <none>                                                   (no description available)
un  python-wxgtk2.6                        <none>                                                   (no description available)
ii  python-wxgtk2.8                        2.8.11.0-0ubuntu4.1                                      wxWidgets Cross-platform C++ GUI toolkit (wxPython binding)
un  python2.2-gtk2                         <none>                                                   (no description available)
un  python2.3-gtk2                         <none>                                                   (no description available)
un  python2.4-gtk2                         <none>                                                   (no description available)
un  python2.6-gtk2                         <none>                                                   (no description available)
un  python2.6-gtkglext1                    <none>                                                   (no description available)
un  python2.6-gtksourceview2               <none>                                                   (no description available)
un  python2.6-wxgtk2.8                     <none>                                                   (no description available)
ii  software-properties-gtk                0.76.7                                                   manage the repositories that you install software from
un  system-cleaner-gtk                     <none>                                                   (no description available)
ii  transmission-gtk                       2.05-0ubuntu0.2                                          lightweight BitTorrent client (GTK interface)
un  ubiquity-frontend-gtk                  <none>                                                   (no description available)
un  ubuntu-express-frontend-gtk            <none>                                                   (no description available)
ii  usb-creator-gtk                        0.2.25                                                   create a startup disk using a CD or disc image (for GNOME)
un  vim-gtk                                <none>                                                   (no description available)
ii  xdg-user-dirs-gtk                      0.8-1ubuntu1                                             tool to manage well known user directories (Gtk extension)

cbradney

2011-04-07 16:21

administrator   ~0026019

Last edited: 2011-04-07 16:24

View 2 revisions

Once again, I don't think it has anything to do with Scribus. Thanks for the list, but it doesn't help. Your version of cairo is not really outdated.

cbradney

2011-04-07 16:40

administrator   ~0026020

erm, i just noticed you have want_scripter2=1.. have tried without that?

ondrej.nemecek

2011-04-09 18:02

reporter   ~0026043

Hmm, I recompile with -DWANT_SCRIPTER2=0, but problem still occurs. Maybe should I try compilling without cairo (with option -DWANT_CAIRO=0)? But I don't know what causes this option. Will be scribus usable afer this?

malex

2011-04-09 21:08

administrator   ~0026046

Just for your reference here is what debian/ubuntu packages are built with:

        mkdir -p $(BUILD_DIR)
        cd $(BUILD_DIR) && $(CMAKE) \
            -DWANT_DEBUG:STRING=$(DEBUG_FLAG) \
            -DWANT_LIB32:BOOL=1 \
            -DWANT_CAIRO:BOOL=1 \
            -DCMAKE_INSTALL_PREFIX:PATH=/usr \
            -DCMAKE_SKIP_RPATH:BOOL=1 \
            -DWANT_SCRIPTER2=1 \
            -DWANT_DISTROBUILD:BOOL=1 \
            -DWANT_VERSIONING:BOOL=1 \
            -DCUSTOM_VERSIONTAG:STRING=-trunk \
            -DCMAKE_CXX_FLAGS:STRING='$(OPT_FLAG)' \
            -DCMAKE_C_FLAGS:STRING='$(OPT_FLAG)' ../../

I just tested yesterday's Ubuntu PPA trunk build and didn't get any crashes with several Gnome themes.

ale

2011-04-10 15:29

manager   ~0026056

ondrej, try to remove any reference to scripter2 in your cmake options

ondrej.nemecek

2011-04-10 16:03

reporter   ~0026057

Malex, what do you exactly mean? I did

# make clean
# cmake . -DCMAKE_INSTALL_PREFIX:PATH=/opt/Scribus-1.5.0.svn \
-DWANT_VERSIONING=1 -DWANT_QTARTHUR=0 -DWANT_CAIRO=1 \
-DWANT_DEBUG=0 -DWANT_SCRIPTER2=0 -DWANT_GRAPHICSMAGICK=1 \
-DWANT_NOHEADERINSTALL=1;
# make -j3
# make install

Should I remove "-DWANT_SCRIPTER2=0" or should I do something else? I am not
familiar with cmake, probably there are some remining cache files or?

cbradney

2011-04-13 20:52

administrator   ~0026085

Please delete the install directory as the old scripter2 plugin will be there. Then make install again. BTW, you can just "make -j3 install"

meho_r

2011-06-23 17:10

reporter  

Scribus150-backtrace.txt (5,950 bytes)
mehor@debian:~/bin/Scribus/Scribus-1.5/bin$ gdb ./scribus 
GNU gdb (GDB) 7.2-debian
Copyright (C) 2010 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /home/mehor/bin/Scribus/Scribus-1.5/bin/scribus...done.
(gdb) run
Starting program: /home/mehor/bin/Scribus/Scribus-1.5/bin/scribus 
[Thread debugging using libthread_db enabled]

Program received signal SIGSEGV, Segmentation fault.
0x0000000000fb326a in _cairo_array_index (array=0x1751860, index=0)
    at /home/mehor/bin/Scribus/Scribus-1.5-source/scribus/third_party/cairo/cairo-array.c:222
222	    return (void *) &(*array->elements)[index * array->element_size];
(gdb) bt
#0  0x0000000000fb326a in _cairo_array_index (array=0x1751860, index=0)
    at /home/mehor/bin/Scribus/Scribus-1.5-source/scribus/third_party/cairo/cairo-array.c:222
#1  0x0000000000fb3590 in _cairo_user_data_array_set_data (array=0x1751860, 
    key=0x7fffe55fbb24, user_data=0x169e360, 
    destroy=0x7fffe53847d0 <gdk_window_cairo_surface_destroy>)
    at /home/mehor/bin/Scribus/Scribus-1.5-source/scribus/third_party/cairo/cairo-array.c:468
#2  0x0000000000fa4cbe in cairo_surface_set_user_data (surface=0x1751840, 
    key=0x7fffe55fbb24, user_data=0x169e360, 
    destroy=0x7fffe53847d0 <gdk_window_cairo_surface_destroy>)
    at /home/mehor/bin/Scribus/Scribus-1.5-source/scribus/third_party/cairo/cairo-surface.c:709
#3  0x00007fffe53899df in gdk_window_ref_cairo_surface (drawable=0x169e360)
    at /scratch/build-area/gtk+2.0-2.24.4/gdk/gdkwindow.c:5164
#4  0x00007fffe5367fd8 in IA__gdk_cairo_create (drawable=0x169e360)
    at /scratch/build-area/gtk+2.0-2.24.4/gdk/gdkcairo.c:59
#5  0x00007fffe0d6f4a7 in pixbuf_render (src=<value optimized out>, 
    hints=<value optimized out>, window=0x169e360, mask=0x0, 
    clip_rect=<value optimized out>, src_x=<value optimized out>, src_y=0, 
    src_width=4, src_height=245, dest_x=0, dest_y=0, dest_width=200, 
    dest_height=222)
    at /scratch/build-area/gtk+2.0-2.24.4/modules/engines/pixbuf/pixbuf-render.c---Type <return> to continue, or q <return> to quit---
:495
#6  0x00007fffe0d707d8 in theme_pixbuf_render (theme_pb=0x16bdd90, 
    window=0x169e360, mask=0x0, clip_rect=0x0, component_mask=455, 
    center=<value optimized out>, x=0, y=0, width=200, height=200)
    at /scratch/build-area/gtk+2.0-2.24.4/modules/engines/pixbuf/pixbuf-render.c:818
#7  0x00007fffe0d6ceec in draw_simple_image (style=<value optimized out>, 
    window=0x169e360, area=0x0, match_data=0x7fffffffd8c0, draw_center=1, x=0, 
    y=0, width=200, height=200, widget=<value optimized out>, 
    allow_setbg=<value optimized out>)
    at /scratch/build-area/gtk+2.0-2.24.4/modules/engines/pixbuf/pixbuf-draw.c:135
#8  0x00007fffe0d6dc29 in draw_flat_box (style=0x174a3f0, window=0x169e360, 
    state=GTK_STATE_NORMAL, shadow=GTK_SHADOW_NONE, area=0x0, 
    widget=0x17470e0, detail=0x7fffe599c02f "base", x=0, y=0, width=-1, 
    height=-1)
    at /scratch/build-area/gtk+2.0-2.24.4/modules/engines/pixbuf/pixbuf-draw.c:689
#9  0x00007fffe58697b6 in gtk_window_paint (widget=<value optimized out>, 
    area=<value optimized out>)
    at /scratch/build-area/gtk+2.0-2.24.4/gtk/gtkwindow.c:6625
#10 0x00007fffe586d458 in gtk_window_realize (widget=0x17470e0)
    at /scratch/build-area/gtk+2.0-2.24.4/gtk/gtkwindow.c:4858
---Type <return> to continue, or q <return> to quit---
#11 0x00007fffefc23e7e in g_closure_invoke (closure=0x16b5260, 
    return_value=0x0, n_param_values=1, param_values=0x1748f00, 
    invocation_hint=0x7fffffffdb50)
    at /tmp/buildd/glib2.0-2.28.6/./gobject/gclosure.c:767
#12 0x00007fffefc3509c in signal_emit_unlocked_R (node=<value optimized out>, 
    detail=0, instance=0x17470e0, emission_return=0x0, 
    instance_and_params=0x1748f00)
    at /tmp/buildd/glib2.0-2.28.6/./gobject/gsignal.c:3182
#13 0x00007fffefc3ed05 in g_signal_emit_valist (
    instance=<value optimized out>, signal_id=<value optimized out>, 
    detail=<value optimized out>, var_args=<value optimized out>)
    at /tmp/buildd/glib2.0-2.28.6/./gobject/gsignal.c:2983
#14 0x00007fffefc3eed3 in g_signal_emit (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>)
    at /tmp/buildd/glib2.0-2.28.6/./gobject/gsignal.c:3040
#15 0x00007fffe5860b9e in IA__gtk_widget_realize (widget=0x17470e0)
    at /scratch/build-area/gtk+2.0-2.24.4/gtk/gtkwidget.c:3524
#16 0x00007ffff580b1bc in ?? () from /usr/lib/libQtGui.so.4
#17 0x00007ffff57ef9e9 in QGtkStyle::QGtkStyle() () from /usr/lib/libQtGui.so.4
#18 0x00007ffff5773837 in QStyleFactory::create(QString const&) ()
   from /usr/lib/libQtGui.so.4
#19 0x00007ffff5492987 in QApplication::style() () from /usr/lib/libQtGui.so.4
#20 0x00007ffff5496705 in QApplicationPrivate::initialize() ()
---Type <return> to continue, or q <return> to quit---
   from /usr/lib/libQtGui.so.4
#21 0x00007ffff549683c in QApplicationPrivate::construct(_XDisplay*, unsigned long, unsigned long) () from /usr/lib/libQtGui.so.4
#22 0x00007ffff5497111 in QApplication::QApplication(int&, char**, int) ()
   from /usr/lib/libQtGui.so.4
#23 0x0000000000b1a6f2 in ScribusQApp::ScribusQApp (this=0x7fffffffe1c0, 
    argc=@0x7fffffffe1bc, argv=0x7fffffffe328)
    at /home/mehor/bin/Scribus/Scribus-1.5-source/scribus/scribusapp.cpp:98
#24 0x0000000000f744d3 in mainApp (argc=1, argv=0x7fffffffe328)
    at /home/mehor/bin/Scribus/Scribus-1.5-source/scribus/main_nix.cpp:71
#25 0x0000000000f744a0 in main (argc=1, argv=0x7fffffffe328)
    at /home/mehor/bin/Scribus/Scribus-1.5-source/scribus/main_nix.cpp:54
(gdb) 

Scribus150-backtrace.txt (5,950 bytes)

meho_r

2011-06-23 17:17

reporter   ~0026463

Just wanted to confirm this issue is happening on Debian Wheezy GNU/Linux, 64-bit, GNOME DE, Cairo 1.10.2-6. Scribus was compiled with only -DWANT_DEBUG=1 option explicitly set. Changing the theme from GTK+ to Cleanlooks does work and after that Scribus starts normally. "Scribus150-backtrace.txt" attached.

P.S. scripter2 de/activated doesn't make any difference. It seems like a cairo-related issue.

John_Jason

2011-06-24 07:19

reporter   ~0026467

This issue is happening on Fedora 14, x86_64. Ale posted a bug report with gdb and other data from attempts on IRC, but it was closed as a duplicate of another bug, and now I can't even find it.

I changed the GTK theme to several different themes, but no joy. Using qt4config I changed to each of the GUI styles (Desktop settings, CDE, Cleanlooks, GTK+, Motif, Plastique and Windows), and to all three Palette options, but nothing helped. Attempting to run 1.5.0 results in Segmentation fault (core dumped).

ale

2012-06-14 15:37

manager   ~0028127

DWANT_SYSTEM_CAIRO=1 solves the issue...
the internal cairo will probably be removed, since it's not really used anymore.

cbradney

2012-06-14 19:48

administrator   ~0028134

With r17563, WANT_PRIVATE_CAIRO now just sets WANT_SYSTEM_CAIRO, as a start of a fix. There is a chance we need to reinstate the private cairo at some point so best not to remove it all immediately.

Issue History

Date Modified Username Field Change
2011-02-17 19:16 ondrej.nemecek New Issue
2011-02-17 19:17 ondrej.nemecek Note Added: 0025616
2011-02-17 19:17 ondrej.nemecek Tag Attached: SIGSEGV
2011-02-17 19:23 cbradney Note Added: 0025617
2011-02-18 14:37 ondrej.nemecek File Added: gdb-backtrace.txt
2011-02-18 14:38 ondrej.nemecek Note Added: 0025622
2011-02-18 15:21 plinnell Note Added: 0025624
2011-02-18 18:49 fschmid Note Added: 0025625
2011-02-18 19:29 ondrej.nemecek Note Added: 0025626
2011-03-27 23:01 owencook Note Added: 0025957
2011-03-28 02:25 owencook Note Added: 0025961
2011-03-28 21:23 ondrej.nemecek Note Added: 0025969
2011-03-28 22:15 cbradney Note Added: 0025971
2011-04-07 15:38 ondrej.nemecek Note Added: 0026018
2011-04-07 15:39 ondrej.nemecek File Added: scribus-bug-0009753-packages.txt
2011-04-07 15:41 ondrej.nemecek File Added: scribus-bug-0009753-packages-en.txt
2011-04-07 16:21 cbradney Note Added: 0026019
2011-04-07 16:24 cbradney Note Edited: 0026019 View Revisions
2011-04-07 16:40 cbradney Note Added: 0026020
2011-04-09 18:02 ondrej.nemecek Note Added: 0026043
2011-04-09 21:08 malex Note Added: 0026046
2011-04-10 15:29 ale Note Added: 0026056
2011-04-10 16:03 ondrej.nemecek Note Added: 0026057
2011-04-13 20:52 cbradney Note Added: 0026085
2011-06-23 17:10 meho_r File Added: Scribus150-backtrace.txt
2011-06-23 17:17 meho_r Note Added: 0026463
2011-06-24 07:19 John_Jason Note Added: 0026467
2012-06-14 15:37 ale Note Added: 0028127
2012-06-14 15:38 ale Relationship added related to 0004423
2012-06-14 19:48 cbradney Note Added: 0028134
2012-06-14 19:48 cbradney Status new => resolved
2012-06-14 19:48 cbradney Fixed in Version => 1.5.0svn
2012-06-14 19:48 cbradney Resolution open => fixed
2012-06-14 19:48 cbradney Assigned To => cbradney
2012-06-19 18:34 cbradney Status resolved => closed
2014-10-08 23:03 Kunda Tag Detached: SIGSEGV